<?php

namespace WordpressModels\DependencyInjection\HookAttributes\Attributes;

use Attribute;

#[Attribute(Attribute::TARGET_METHOD | Attribute::TARGET_CLASS)]
class DeactivationHook extends Hook
{

    public function __construct() {
        parent::__construct('action', 'deactivate_');
    }

}